## xcffib 0.3.4

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	$(GEN) --input $(XCBDIR) --output ./xcffib
 	cp ./module/*py ./xcffib/
 	sed -i "s/__xcb_proto_version__ = .*/__xcb_proto_version__ = \"${XCBVER}\"/" xcffib/__init__.py
+	python xcffib/ffi_build.py
 
 .PHONY: xcffib-fmt
 xcffib-fmt: $(GEN) module/*.py
@@ -83,4 +84,6 @@
 	git tag v${ver}
 	python setup.py sdist
 	python setup.py sdist upload
+	cabal sdist
+	cabal upload dist/xcffib-${ver}.tar.gz
 endif
