## xcffib 0.4.0

=== debian/changelog ===
xcffib (0.4.0-1) unstable; urgency=medium

  * include length parameter as required as xpyb does
  * fix struct packing for various extensions
  * Closes: #805234

 -- Tycho Andersen <tycho@tycho.ws>  Sun, 15 Nov 2015 18:17:57 -0700

xcffib (0.3.6-1) unstable; urgency=medium

  * Fix cffi/cairocffi dependency versions
  * Use a .so name that exists in the non-dev packages
  * Don't have a top level attribute called 'setup' so as to avoid confusing
    nose.
  * Closes: #796417

 -- Tycho Andersen <tycho@tycho.ws>  Fri, 21 Aug 2015 23:39:38 +0000
