=== debian/control ===
Source: xcffib
Section: python
Priority: optional
Maintainer: Tycho Andersen <tycho@tycho.ws>
Build-Depends: debhelper (>= 9)
  , dh-python
  , pkg-config
  , ghc
  , xcb-proto
  , libxcb-render0-dev
  , libxcb1-dev
  , cabal-install
  , libghc-xcb-types-dev (>= 0.7.0)
  , libghc-language-python-dev (>= 0.4.0)
  , libghc-split-dev
  , libghc-optparse-applicative-dev (>= 0.5)
  , libghc-filemanip-dev
  , libghc-mtl-dev (>= 2.1)
  , libghc-test-framework-hunit-dev
  , libghc-attoparsec-dev
  , python-setuptools
  , python3-setuptools
  , python-autopep8
  , python-all
  , python3-all
  , python-all-dev
  , python3-all-dev
# testing
  , python-nose
  , python3-nose
  , xvfb
  , x11-apps
  , python-flake8
# Because xcffib imports itself in setup.py to do the cffi extension magic, all
# Depends: are also Build-depends:
  , python-six
  , python3-six
  , python-cffi (>= 1.1.0)
  , python3-cffi (>= 1.1.0)
  , libxcb1
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Standards-Version: 3.9.6
Homepage: https://github.com/tych0/xcffib
Vcs-Git: https://github.com/tych0/xcffib
Vcs-Browser: https://github.com/tych0/xcffib

Package: python-xcffib
Architecture: any
Depends: python-six
  , python-cffi (>= 1.1.0)
  , libxcb1
  , ${misc:Depends}
  , ${shlibs:Depends}
  , ${python:Depends}
Provides: ${python:Provides}
Description: This package is a python binding for XCB (Python 2)
 This package is intended to be a (mostly) drop-in replacement for xpyb. xpyb
 has an inactive upstream, several memory leaks, is python2 only and doesn't
 have pypy support. xcffib is a binding which uses python-cffi, which mitigates
 some of the issues described above. xcffib also builds bindings for 27 of the
 29 (xprint and xkb are missing) X extensions in 1.10.
 .
 This package installs the library for Python 2.

Package: python3-xcffib
Architecture: any
Depends: python3-six,
  , python3-cffi (>= 1.1.0)
  , libxcb1
  , ${misc:Depends}
  , ${shlibs:Depends}
  , ${python3:Depends}
Provides: ${python3:Provides}
Description: This package is a python binding for XCB (Python 3)
 This package is intended to be a (mostly) drop-in replacement for xpyb. xpyb
 has an inactive upstream, several memory leaks, is python2 only and doesn't
 have pypy support. xcffib is a binding which uses python-cffi, which mitigates
 some of the issues described above. xcffib also builds bindings for 27 of the
 29 (xprint and xkb are missing) X extensions in 1.10.
 .
 This package installs the library for Python 3.
