=== debian/changelog ===
xcffib (0.4.2-2) unstable; urgency=medium

  * Removed unnecessary depends on python{3,}-cffi. (Closes: #833163)
  * Updated the Vcs-* fields to point to Debian packaging. (Closes: #837386)
  * Added a patch to handle endianness in test cases.

 -- Iain R. Learmonth <irl@debian.org>  Mon, 19 Sep 2016 11:59:15 +0100

xcffib (0.4.2-1) unstable; urgency=medium

  * New upstream version.
  * debian/patches/language-python.patch:
   - Removed this patch, newer haskell-language-python now in Debian.
  * debian/control:
   - Replaced maintainer with myself (adopting this package)
   - Fixed capitalisation errors in package synopsis
  * debian/copyright:
   - Updated file paths, no new licenses

 -- Iain R. Learmonth <irl@debian.org>  Sun, 29 May 2016 13:26:27 +0100

xcffib (0.4.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Only build for little-endian architectures. (Closes: #816139)

 -- Iain R. Learmonth <irl@debian.org>  Thu, 28 Apr 2016 13:33:30 +0100
