=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xcffib
 Section: python
 Priority: optional
-Maintainer: Tycho Andersen <tycho@tycho.ws>
+Maintainer: Iain R. Learmonth <irl@debian.org>
 Build-Depends: debhelper (>= 9)
   , dh-python
   , pkg-config
@@ -11,7 +11,7 @@
   , libxcb1-dev
   , cabal-install
   , libghc-xcb-types-dev (>= 0.7.0)
-  , libghc-language-python-dev (>= 0.4.0)
+  , libghc-language-python-dev (>= 0.5.2)
   , libghc-split-dev
   , libghc-optparse-applicative-dev (>= 0.5)
   , libghc-filemanip-dev
@@ -25,6 +25,8 @@
   , python3-all
   , python-all-dev
   , python3-all-dev
+  , python-cffi
+  , python3-cffi
 # testing
   , python-nose
   , python3-nose
@@ -35,26 +37,23 @@
 # Depends: are also Build-depends:
   , python-six
   , python3-six
-  , python-cffi (>= 1.1.0)
-  , python3-cffi (>= 1.1.0)
   , libxcb1
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Standards-Version: 3.9.6
 Homepage: https://github.com/tych0/xcffib
-Vcs-Git: https://github.com/tych0/xcffib
-Vcs-Browser: https://github.com/tych0/xcffib
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/xcffib.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xcffib.git
 
 Package: python-xcffib
-Architecture: any
+Architecture: alpha amd64 arm64 armel armhf i386 mipsel ppc64el sh4 x32
 Depends: python-six
-  , python-cffi (>= 1.1.0)
   , libxcb1
   , ${misc:Depends}
   , ${shlibs:Depends}
   , ${python:Depends}
 Provides: ${python:Provides}
-Description: This package is a python binding for XCB (Python 2)
+Description: This package is a Python binding for XCB (Python 2)
  This package is intended to be a (mostly) drop-in replacement for xpyb. xpyb
  has an inactive upstream, several memory leaks, is python2 only and doesn't
  have pypy support. xcffib is a binding which uses python-cffi, which mitigates
@@ -66,13 +65,12 @@
 Package: python3-xcffib
 Architecture: any
 Depends: python3-six,
-  , python3-cffi (>= 1.1.0)
   , libxcb1
   , ${misc:Depends}
   , ${shlibs:Depends}
   , ${python3:Depends}
 Provides: ${python3:Provides}
-Description: This package is a python binding for XCB (Python 3)
+Description: This package is a Python binding for XCB (Python 3)
  This package is intended to be a (mostly) drop-in replacement for xpyb. xpyb
  has an inactive upstream, several memory leaks, is python2 only and doesn't
  have pypy support. xcffib is a binding which uses python-cffi, which mitigates
