## xcffib 0.5.1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,12 @@
 GEN=./dist/build/xcffibgen/xcffibgen
 AUTOPEP8=autopep8 --in-place --aggressive --aggressive
 
-XCBVER=$(shell pkg-config --modversion xcb-proto)
-XCBDIR=$(shell pkg-config --variable=xcbincludedir xcb-proto)
+XCBDIR?=$(shell pkg-config --variable=xcbincludedir xcb-proto)
+ifneq ($(XCBDIR),$(shell pkg-config --variable=xcbincludedir xcb-proto))
+	XCBVER=$(shell sed -e '1,/AC_INIT/d' $(XCBDIR)/../configure.ac | head -n 1 | tr -d ,[:blank:])
+else
+	XCBVER=$(shell pkg-config --modversion xcb-proto)
+endif
 NCPUS=$(shell grep -c processor /proc/cpuinfo)
 PARALLEL=$(shell which parallel)
 CABAL=cabal --config-file=/dev/null
@@ -12,7 +16,7 @@
 	$(GEN) --input $(XCBDIR) --output ./xcffib
 	cp ./module/*py ./xcffib/
 	sed -i "s/__xcb_proto_version__ = .*/__xcb_proto_version__ = \"${XCBVER}\"/" xcffib/__init__.py
-	python xcffib/ffi_build.py
+	@if [ "$(TRAVIS)" = true ]; then python xcffib/ffi_build.py; else python xcffib/ffi_build.py > /dev/null 2>&1 || python3 xcffib/ffi_build.py; fi
 
 .PHONY: xcffib-fmt
 xcffib-fmt: $(GEN) module/*.py
@@ -79,6 +83,7 @@
 	@echo "xcffib.egg-info exists, not releasing."
 else
 	sed -i "s/version = .*/version = \"${ver}\"/" setup.py
+	sed -i "s/__version__ = .*/__version__ = \"${ver}\"/" xcffib/__init__.py
 	sed -r -i -e "s/(^version = \s*)[\"0-9\.]*/\1\"${ver}\"/" setup.py
 	sed -r -i -e "s/(^version:\s*)[0-9\.]*/\1${ver}/" xcffib.cabal
 	git commit -a -m "Release v${ver}"
