=== debian/changelog ===
xcffib (0.5.1-1build3) bionic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Dec 2017 19:12:31 +0100

xcffib (0.5.1-1build2) bionic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Nov 2017 16:24:54 +0100

xcffib (0.5.1-1build1) bionic; urgency=medium

  * No-change rebuild for GHC ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 17 Nov 2017 06:18:47 +0100

xcffib (0.5.1-1) unstable; urgency=medium

  * New upstream version (Closes: #839760, #839314, #866543)
  * Removed redundant patch for big-endian architecture support
    (now supported upstream)
  * Added new build dependencies for libghc-{either,semigroups}-dev
  * Dropped unneeded python{,3}-dev build dependencies (Closes: #866544)

 -- Iain R. Learmonth <irl@debian.org>  Fri, 14 Jul 2017 23:17:41 +0100
