=== debian/control ===
--- 
+++ 
@@ -18,13 +18,13 @@
   , libghc-mtl-dev (>= 2.1)
   , libghc-test-framework-hunit-dev
   , libghc-attoparsec-dev
+  , libghc-semigroups-dev
+  , libghc-either-dev
   , python-setuptools
   , python3-setuptools
   , python-autopep8
   , python-all
   , python3-all
-  , python-all-dev
-  , python3-all-dev
   , python-cffi
   , python3-cffi
 # testing
