=== debian/rules ===
#!/usr/bin/make -f

DEB_ENABLE_TESTS = yes

override_dh_auto_configure:
	make xcffib
	dh_auto_configure

# we can't use setup.py clean here, since it checks for the existence of xcffib/
override_dh_auto_clean:
	make clean

%:
	dh $@ --with python2,python3 --buildsystem=pybuild
