=== debian/changelog ===
xcffib (0.8.1-0.8) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #938840

 -- Sandro Tosi <morph@debian.org>  Mon, 17 Feb 2020 01:30:44 -0500

xcffib (0.8.1-0.7) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control
    - remove python-flake8 from b-d, no longer needed

 -- Sandro Tosi <morph@debian.org>  Fri, 14 Feb 2020 21:31:52 -0500

xcffib (0.8.1-0.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove build-depends on python-autopep8 (downgrades: 938840)
  * Fix clean target.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 22 Dec 2019 01:57:12 +0000

xcffib (0.8.1-0.5) unstable; urgency=medium

  * Non-maintainer upload
  * Run testsuite, to see if hangs are real or not
    (they happened only once on a ppc64el launchpad instance, but it might
     have been a network glitch)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 07 Sep 2019 11:47:56 +0200

xcffib (0.8.1-0.4) unstable; urgency=medium

  * Non-maintainer upload
  * Avoid internet connection by patching cabal to not use a configuration
    file (Closes: #938982)
  * Disable tests for now, they might hang

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 07 Sep 2019 08:59:04 +0200

xcffib (0.8.1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Also export DISPLAY variable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 26 Jul 2019 09:55:31 +0200

xcffib (0.8.1-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * Export fake $HOME directory to avoid poisoning non-existing homes.
  * Bump xcb-types dependency to 0.10.0, to ensure the new version is picked
    up (used in tests and xcffibgen)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 26 Jul 2019 09:25:27 +0200

xcffib (0.8.1-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #892648)
  * Build it everywhere again (Closes: #914005)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 24 Jul 2019 23:11:44 +0200
