=== debian/control ===
Source: xcffib
Section: python
Priority: optional
Maintainer: Iain R. Learmonth <irl@debian.org>
Build-Depends: debhelper (>= 9)
  , dh-python
  , pkg-config
  , ghc
  , xcb-proto
  , libxcb-render0-dev
  , libxcb1-dev
  , cabal-install
  , libghc-xcb-types-dev (>= 0.10.0)
  , libghc-language-python-dev (>= 0.5.6)
  , libghc-split-dev
  , libghc-optparse-applicative-dev (>= 0.5)
  , libghc-filemanip-dev
  , libghc-mtl-dev (>= 2.1)
  , libghc-test-framework-hunit-dev
  , libghc-attoparsec-dev
  , libghc-semigroups-dev
  , libghc-either-dev
  , python3-setuptools
  , python3-all
  , python3-cffi
# testing
  , python3-nose
  , xvfb
  , x11-apps
# Because xcffib imports itself in setup.py to do the cffi extension magic, all
# Depends: are also Build-depends:
  , python3-six
  , libxcb1
Standards-Version: 3.9.6
Homepage: https://github.com/tych0/xcffib
Vcs-Git: https://anonscm.debian.org/git/collab-maint/xcffib.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xcffib.git

Package: python3-xcffib
Architecture: any
Depends: python3-six,
  , libxcb1
  , ${misc:Depends}
  , ${shlibs:Depends}
  , ${python3:Depends}
Provides: ${python3:Provides}
Description: This package is a Python binding for XCB (Python 3)
 This package is intended to be a (mostly) drop-in replacement for xpyb. xpyb
 has an inactive upstream, several memory leaks, is python2 only and doesn't
 have pypy support. xcffib is a binding which uses python-cffi, which mitigates
 some of the issues described above. xcffib also builds bindings for 27 of the
 29 (xprint and xkb are missing) X extensions in 1.10.
 .
 This package installs the library for Python 3.
