=== requirements.txt ===
flake8
autopep8
six
cffi>=0.8.2
