=== debian/changelog ===
xcffib (0.11.1-2) unstable; urgency=medium

  * d/control: Set 'Architecture: all' and remove useless Depends

 -- Jerome Lebleu <jerome@maroufle.fr>  Sun, 28 Nov 2021 12:12:23 +0100

xcffib (0.11.1-1) unstable; urgency=medium

  [ Jerome Lebleu ]
  * New upstream version 0.11.1
  * New maintainer (Closes: #952121)
  * d/control:
    + Switch to debhelper-compat and level 13
    + Bump to Standards-Version 4.6.0
    + Make the Description more informative
    + Update the Build-Depends
    + Update the Vcs-* fields to Salsa
  * d/copyright: Use HTTPS in Format and Source
  * d/upstream: Add a metadata file
  * d/watch: Bump version to 4
  * Remove unused debian/license-reconcile.yml

  [ Nilesh Patra ]
  * d/rules: s/make/MAKE
  * d/control:
    + B-D on nose2 instead of nose
    + Annontate more test-only deps with nocheck
    + Change VCS-URLs to DPT
    + Set maintainer to DPT and uploader to Jerome
  * Add autopkgtests
  * Add d/salsa-ci.yml

 -- Jerome Lebleu <jerome@maroufle.fr>  Sat, 27 Nov 2021 17:04:57 +0530
