=== debian/control ===
Source: xcffib
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jerome Lebleu <jerome@maroufle.fr>
Build-Depends: cabal-install,
               debhelper-compat (= 13),
               dh-python,
               ghc (>= 8.0),
               libghc-attoparsec-dev,
               libghc-either-dev,
               libghc-filemanip-dev,
               libghc-language-python-dev (>= 0.5.6),
               libghc-mtl-dev (>= 2.1),
               libghc-optparse-applicative-dev (>= 0.13),
               libghc-split-dev,
               libghc-test-framework-hunit-dev,
               libghc-xcb-types-dev (>= 0.10.0),
               libxcb-render0-dev,
               libxcb1,
               libxcb1-dev,
               pkg-config,
               python3-all,
               python3-cffi,
               python3-nose2 <!nocheck>,
               python3-setuptools,
               python3-six,
               x11-apps <!nocheck>,
               xcb-proto,
               xvfb <!nocheck>
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/tych0/xcffib
Vcs-Git: https://salsa.debian.org/python-team/packages/xcffib.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/xcffib

Package: python3-xcffib
Architecture: all
Depends: libxcb1,
         python3-cffi,
         python3-six,
         ${misc:Depends},
         ${python3:Depends}
Description: CFFI-based Python binding for X
 xcffib is intended to be a (mostly) drop-in replacement for xpyb. xpyb has an
 inactive upstream, several memory leaks, is python2 only and doesn't have pypy
 support. xcffib is a binding which uses CFFI, which mitigates some of the
 issues described above. xcffib also builds bindings for 27 of the 29 (xprint
 and xkb are missing) X extensions in 1.10.
