=== debian/rules ===
#!/usr/bin/make -f

export HOME=$(CURDIR)/debian/cabalconfig
export DISPLAY=:0

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_configure:
	$(MAKE) xcffib
	dh_auto_configure

# we can't use setup.py clean here, since it checks for the existence of xcffib/
override_dh_auto_clean:
	$(MAKE) clean
	rm -rf debian/cabalconfig
	rm -rf .ghc.environment.*
