=== debian/changelog ===
xcffib (1.5.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.5.0 (Closes: #1052375, #1054820)
  * remove obsolete dependency on python3-six
  * replace obsolete dependency pkg-config -> pkgconf
  * use new dh-sequence-python3
  * refresh patches
  * nose2 has been replaced by pytest

 -- Alexandre Detiste <tchet@debian.org>  Mon, 01 Apr 2024 23:49:33 +0200

xcffib (0.11.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Submit, Contact.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 20 Nov 2022 12:31:19 +0000

xcffib (0.11.1-3) unstable; urgency=medium

  * Team Upload.
  * Fix FTBFS with applying upstream commit as
    patch for parse.hs (Closes: #1017252)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 13 Oct 2022 16:01:38 +0530
