=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Jerome Lebleu <jerome@maroufle.fr>
 Build-Depends: cabal-install,
                debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                ghc (>= 8.0),
                libghc-attoparsec-dev,
                libghc-either-dev,
@@ -19,16 +19,15 @@
                libxcb-render0-dev,
                libxcb1,
                libxcb1-dev,
-               pkg-config,
+               pkgconf,
                python3-all,
                python3-cffi,
-               python3-nose2 <!nocheck>,
+               python3-pytest,
                python3-setuptools,
-               python3-six,
                x11-apps <!nocheck>,
                xcb-proto,
                xvfb <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/tych0/xcffib
 Vcs-Git: https://salsa.debian.org/python-team/packages/xcffib.git
@@ -38,7 +37,6 @@
 Architecture: all
 Depends: libxcb1,
          python3-cffi,
-         python3-six,
          ${misc:Depends},
          ${python3:Depends}
 Description: CFFI-based Python binding for X
