=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DISPLAY=:0
 
 %:
-	dh $@ --with python3 --buildsystem pybuild
+	dh $@ --buildsystem pybuild
 
 override_dh_auto_configure:
 	$(MAKE) xcffib
