=== debian/tests/control ===
Tests: run-unit-tests
Depends: @, python3-all, python3-pytest, xvfb, x11-apps
Restrictions: allow-stderr
